{
  "schema_version": "1.4.0",
  "id": "GHSA-m69j-j4vr-8rcj",
  "modified": "2022-05-02T03:31:43Z",
  "published": "2022-05-02T03:31:43Z",
  "aliases": [
    "CVE-2009-2118"
  ],
  "details": "Integer overflow in IrfanView 4.23, when the resampling or screen fitting option is enabled, allows remote attackers to execute arbitrary code via a crafted TIFF 1 BPP image, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2118"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/55150"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35359"
    },
    {
      "type": "WEB",
      "url": "http://www.irfanview.com/main_history.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35423"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-94"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-06-18T21:30:00Z"
  }
}